pibcomp(1)

NAME
pibcomp - Qualcomm Atheros Parameter Block Compare Utility

SYNOPSIS
pibcomp [options] file file [>stdout]

DESCRIPTION
Read and compare two Qualcomm Atheros powerline parameter block files and print only those objects that are different. It will detect and handle both old and new powerline parameter file formats. This program is similar to program odc but is designed specifically for Qualcomm Atheros powerline parameter files. Program odc is no longer supported and will be removed from future toolkit releases.

Object driven comparison requires an object definition file that lists the size and name of data data objects (ie; integers, arrays or structures) within the parameter file. Individual data members are presented as smaller, individual data dumps within a larger, overall data dump. See program pibdump for more information of object definition file format.

OPTIONS

-f file
    The object definition file that lists the size, name and description of individual individual objects in order of occurance. If this option is omitted then object definitions are read from stdin. The object definition file is not modified by this program. See the pibdump man page for an example of an object definition file.

-?,--help
    Print program help summary on stdout. This option takes precedence over other options on the command line.

-!,--version
    Print program version information on stdout. This option takes precedence over other options on the command line. Use this option when sending screen dumps to Atheros Technical Support so that they know exactly which version of the Linux Toolkit you are using.

ARGUMENTS

file
    The name of a binary file. Two binary files are needed for comparison and both should conform to the object definition file for the comarison to be meaningful.

EXAMPLES
The following example compares file abc.bin and def.bin and prints objects that are different in hexdump format. Objects are defined in objects.txt and read using -f.

   # pibcomp -f objects.txt abc.bin def.bin

SEE ALSO
chkpib(7), chkpib2(7), getpib(7), modpib(1), pib2xml(1), pibdump(1), setpib(1), xml2pib(1)

CREDITS
 Nathaniel Houghton
 Charles Maier